import prisma from '../utilities/prisma' // Import the global Prisma instance
import { CharacterHair } from '@prisma/client'

class CharacterHairRepository {
  async getAll(): Promise<CharacterHair[]> {
    return prisma.characterHair.findMany()
  }
  async getIsEnabledForCharCreationHair(): Promise<CharacterHair[]> {
    return prisma.characterHair.findMany({
      where: {
        isEnabledForCharCreation: true
      }
    })
  }
}

export default new CharacterHairRepository()
